<?php
include_once 'sys/inc/start.php';
$doc = new document(1);
$doc->title = 'Настройки приватности';




if (isset($_POST['save']))
{

$user->vis_email= (isset($_POST['email']) && $_POST['email']);
$user->vis_icq=(isset($_POST['icq']) && $_POST['icq']);
$user->vis_friends=(isset($_POST['friends']) && $_POST['friends']);
$user->vis_skype=(isset($_POST['skype']) && $_POST['skype']);
$doc->msg('Параметры успешно сохранены');
}



$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen());
$elements=array();

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$user->vis_email, 'name'=>'email', 'text'=>'Показывать Email'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$user->vis_icq, 'name'=>'icq', 'text'=>'Показывать ICQ'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$user->vis_skype, 'name'=>'skype', 'text'=>'Показывать Skype'));


$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$user->vis_friends, 'name'=>'friends', 'text'=>'Список друзей'));


$elements[]=array('type'=>'text', 'br'=>1, 'value'=>'* Ваши друзья будут видеть все ваши данные независимо от установленных параметров');

$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Применить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');

$doc->ret('Личное меню','/menu.user.php');
?>
